> ## Documentation Index
> Fetch the complete documentation index at: https://secdocs.asikoexpress.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove an item from the wishlist (by the item's own id) — returns the updated wishlist



## OpenAPI

````yaml /openapi/order-service.json delete /v1/wishlist/items/{id}
openapi: 3.0.0
info:
  title: Asiko Order Service
  description: Cart, checkout, order lifecycle
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: orders
    description: ''
  - name: cart
    description: ''
paths:
  /v1/wishlist/items/{id}:
    delete:
      tags:
        - wishlist
      summary: >-
        Remove an item from the wishlist (by the item's own id) — returns the
        updated wishlist
      operationId: WishlistController_remove
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WishlistResponseDto'
      security:
        - bearer: []
components:
  schemas:
    WishlistResponseDto:
      type: object
      properties:
        userId:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/WishlistItemResponseDto'
      required:
        - userId
        - items
    WishlistItemResponseDto:
      type: object
      properties:
        id:
          type: string
        productId:
          type: string
        productName:
          type: string
        productImage:
          type: string
          nullable: true
        size:
          type: string
          enum:
            - 500g
            - 1kg
            - 2kg
            - 5kg
            - 10kg
            - 25kg and above
          nullable: true
        unitPrice:
          type: number
        createdAt:
          type: string
      required:
        - id
        - productId
        - productName
        - unitPrice
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````